SplashScreen (Mule ESB 2.2.1 API)
Keywords: org.mule.util.SplashScreen class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.util
Class SplashScreen

    java.lang.Object
      org.mule.util.SplashScreen

Direct Known Subclasses:
  ServerShutdownSplashScreen, ServerStartupSplashScreen

    public abstract class SplashScreen

extends Object

Implements singleton pattern to allow different splash-screen implementations following the concept of header, body, and footer. Header and footer are reserved internally to Mule but body can be used to customize splash-screen output. External code can e.g. hook into the start-up splash-screen as follows:

       SplashScreen splashScreen = SplashScreen.getInstance(ServerStartupSplashScreen.class);
       splashScreen.addBody("Some extra text");

Field Summary
`protected List` | `body`
`protected List` | `footer`
`protected List` | `header`

Constructor Summary
`protected` | `SplashScreen()`

Method Summary
`void` | `addBody(String line)`
`protected void` | `doBody(String line)`
`protected void` | `doFooter(MuleContext context)`
`protected void` | `doHeader(MuleContext context)`
`static SplashScreen` | `getInstance(Class clazz)`
`void` | `setFooter(MuleContext context)`
`void` | `setHeader(MuleContext context)` Setting the header clears body and footer assuming a new splash-screen is built.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### header

    protected List header

### body

    protected List body

### footer

    protected List footer

Constructor Detail

### SplashScreen

    protected SplashScreen()

Method Detail

### getInstance

    public static SplashScreen getInstance(Class clazz)

### setHeader

    public final void setHeader(MuleContext context)

  Setting the header clears body and footer assuming a new splash-screen is built.

  Parameters:
    `context` -

### addBody

    public final void addBody(String line)

### setFooter

    public final void setFooter(MuleContext context)

### doHeader

    protected void doHeader(MuleContext context)

### doBody

    protected void doBody(String line)

### doFooter

    protected void doFooter(MuleContext context)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.